#include "PaintEvent.h"

PaintEvent::PaintEvent(ThemeManager* themesManager, FontsManager* fontsManager)
    : UiEvent(),
    mThemeManager(themesManager),
    mFontsManager(fontsManager)
{
    mType = UiEvent::Type::Paint;
}

PaintEvent::~PaintEvent()
{

}

std::unique_ptr<PaintEvent> PaintEvent::Create(ThemeManager* themesManager, FontsManager* fontsManager)
{
    return std::make_unique<PaintEvent>(themesManager, fontsManager);
}

ThemeManager* PaintEvent::getThemesManager() const
{
    return mThemeManager;
}

FontsManager* PaintEvent::getFontsManager() const
{
    return mFontsManager;
}

